Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

got a message in safari which said that webgl was required.. checked on how to enable, option did not exist in my version of safari.. I would have checked chrome and firefox but I deleted them.. for giggles I tried to open it in Hyper which is actually just a terminal based on web technologies and that did seem to work.. So... I'm guessing it will likely work in chrome.. but I don't believe it works in sierra or high sierra safari. this has been your friendly neighborhood diagnostic tester.. hope it might give you a lead.      

Thank you for doing all that work, I really appreciate it! I was worried that would be the case, the game requires WebGL in order to run correctly. Unfortunately this isn't a compatibility issue that can really be fixed from my end (I've tried a non-webgl build, it's very broken). It's quite surprising that you ran into that issue though, as webgl support is included in practically all modern browsers (including Safari 8.1+). 

Thank you for trying though! Means a lot!

You're quite welcome.